//: C03:ReplaceAll.cpp {O}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <cstddef>
#include "ReplaceAll.h"
using namespace std;

string& nahraditVse(string& kde, const string& puvodni,
  const string& novy) {
  size_t zdeZacit = 0;
  size_t zdeNalezeno;
  while((zdeNalezeno = kde.find(puvodni, zdeZacit))
    != string::npos) {
    kde.replace(zdeNalezeno, puvodni.size(), novy);
    zdeZacit = zdeNalezeno + novy.size();
  }
  return kde;
} ///:~
